<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DoorContacts StructType
 * @subpackage Structs
 */
class DoorContacts extends AbstractStructBase
{
    /**
     * The DoorContact1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ContactObject
     */
    public $DoorContact1;
    /**
     * The DoorContact2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ContactObject
     */
    public $DoorContact2;
    /**
     * Constructor method for DoorContacts
     * @uses DoorContacts::setDoorContact1()
     * @uses DoorContacts::setDoorContact2()
     * @param \StructType\ContactObject $doorContact1
     * @param \StructType\ContactObject $doorContact2
     */
    public function __construct(\StructType\ContactObject $doorContact1 = null, \StructType\ContactObject $doorContact2 = null)
    {
        $this
            ->setDoorContact1($doorContact1)
            ->setDoorContact2($doorContact2);
    }
    /**
     * Get DoorContact1 value
     * @return \StructType\ContactObject|null
     */
    public function getDoorContact1()
    {
        return $this->DoorContact1;
    }
    /**
     * Set DoorContact1 value
     * @param \StructType\ContactObject $doorContact1
     * @return \StructType\DoorContacts
     */
    public function setDoorContact1(\StructType\ContactObject $doorContact1 = null)
    {
        $this->DoorContact1 = $doorContact1;
        return $this;
    }
    /**
     * Get DoorContact2 value
     * @return \StructType\ContactObject|null
     */
    public function getDoorContact2()
    {
        return $this->DoorContact2;
    }
    /**
     * Set DoorContact2 value
     * @param \StructType\ContactObject $doorContact2
     * @return \StructType\DoorContacts
     */
    public function setDoorContact2(\StructType\ContactObject $doorContact2 = null)
    {
        $this->DoorContact2 = $doorContact2;
        return $this;
    }
}
